# norootforbuild

%define		libname		libmcs
%define		soname		1

Name:		%{libname}%{soname}
Version:	0.7.2
Release:	pm153.5.5
License: GPL-2.0
Summary:	Configuration file abstraction library
Group:		System/Libraries
URL:		http://www.atheme.org/projects/mcs.shtml

Source:		http://distfiles.atheme.org/%{libname}-%{version}.tgz

Provides:	%{libname}
Obsoletes:	%{libname}
Conflicts:      mcs-kde

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libmowgli) >= 0.4.0
BuildRequires:  pkgconfig(gconf-2.0) >= 2.6.0
%description
Shared library part of mcs

Author: William Pitcock

%package -n mcs
Group:		System/Libraries
Summary:	Configuration file abstraction library

%description -n mcs
mcs is a library and set of userland tools which abstract the storage of configuration
settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will generally have a
more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but unlike those projects,
mcs strictly handles abstraction. It does not impose any specific data storage requirement,
nor is it tied to any desktop environment or software suite.

Because mcs is licenced under the BSD licence, it is hoped that many applications will
adopt it's use.

Author: William Pitcock

%package -n %{libname}-devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}

%description -n %{libname}-devel
This package contains the files needed to compile programs that use the
libmcs library.

Author: William Pitcock





%prep
%setup -q -n %{libname}-%{version}


%build
%configure
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall


%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/%{libname}.so.*

%files -n mcs
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{_bindir}/mcs-getconfval
%{_bindir}/mcs-info
%{_bindir}/mcs-query-backends
%{_bindir}/mcs-setconfval
%{_bindir}/mcs-walk-config
%dir %{_libdir}/mcs
%{_libdir}/mcs/gconf.so
%{_libdir}/mcs/keyfile.so


%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{libname}
%{_includedir}/%{libname}/mcs.h
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/%{libname}.pc


%changelog
* Sun Oct  4 2009 detlef@links2linux.de
- Provides/Obsoletes libmcs
* Fri Aug 14 2009 detlef@links2linux.de
- new upstream version 0.7.1
* Thu Sep 11 2008 detlef@links2linux.de
- split package
* Mon Feb 18 2008 detlef@links2linux.de
- new upstream version <0.7.0>
* Sat Dec 22 2007 detlef@links2linux.de
- new upstream version <0.6.0>
* Sat Mar  3 2007 detlef@links2linux.de
- new upstream release
* Mon Feb 26 2007 detlef@links2linux.de
- initial build
